%define _disable_ld_no_undefined 1
%define rel 2
%define git 0

%define shortname compizconfig
%define major 0
%define libname %mklibname %shortname %major
%define develname %mklibname -d %shortname

%if  %{git}
%define srcname %{name}-%{git}.tar.xz
%define distname %{name}
%define release 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}.tar.bz2
%define distname %{name}-%{version}
%define release %{rel}
%endif

Summary:	Backend configuration library from Compiz Fusion
Name:		libcompizconfig
Version:	0.9.5.92
Release:	%release
Source0:	http://http://releases.compiz.org/%{version}/%{srcname}
Patch0: 	fix_libdir.patch
License:	GPL
Group:		System/X11
URL:		http://www.compiz.org/

BuildRequires: cmake
BuildRequires: libxml2-devel
BuildRequires: boost-devel
BuildRequires: compiz-devel >= %{version}
BuildRequires: gettext-devel
BuildRequires: protobuf-devel
BuildRequires: intltool
BuildRequires: xsltproc

%description
Backend configuration library from Compiz Fusion

%package -n %{libname}
Summary:	Backend configuration library from Compiz Fusion
Group:		System/X11
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Backend configuration library from Compiz Fusion

%package -n %{develname}
Summary:	Development files for libcompizconfig
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for libcompizconfig

%prep
%setup -qn %{distname}
%patch0 -p1

%build
%if %{git}
# no idea if this is still valid 2011-11-02
  # This is a git snapshot, so we need to generate makefiles.
  sh autogen.sh -V
%endif

%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build
find %{buildroot} -name *.la -exec rm -f {} \;

# This should work, but is buggy upstream:
# make DESTDIR=%{buildroot} findcompizconfig_install
# So we do this instead:
mkdir -p %{buildroot}%{_datadir}/cmake/Modules
cmake -E copy cmake/FindCompizConfig.cmake %{buildroot}%{_datadir}/cmake/Modules

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/compiz/libccp.so
%{_libdir}/%{shortname}/backends/libini.so
%{_libdir}/%{name}.so.*
%{_datadir}/gconf/schemas/*.schemas
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/compiz/ccp.xml

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%{shortname}
%{_includedir}/%{shortname}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*
%{_datadir}/compiz/cmake/*cmake
%{_datadir}/cmake/Modules




%changelog
* Fri Nov 04 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.9.5.92-2
+ Revision: 717001
- correct copy path
- added p0 to fix libdir
  cp missing FindCompizConfig.cmake

* Fri Nov 04 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.9.5.92-1
+ Revision: 716878
- added BR xsltproc
- fixed source path
- new version 0.9.5.92

* Fri Apr 29 2011 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-4
+ Revision: 660230
- mass rebuild

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-3mdv2011.0
+ Revision: 602530
- rebuild

* Sat Mar 13 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-2mdv2010.1
+ Revision: 518614
- Rebuild for new Compiz

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457726
- New version: 0.8.4

* Wed Sep 09 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-3mdv2010.0
+ Revision: 434886
- Rebuild against updated compiz

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Sun Mar 15 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 355359
- New version 0.8.2
- protect major

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20090208.1mdv2009.1
+ Revision: 338485
- 0.8 pre-release snapshot

* Sun Dec 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-2mdv2009.1
+ Revision: 320327
- Fix a linking problem masked by disabling ld_no_undefined

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.8-1mdv2009.1
+ Revision: 319138
- update to 0.7.8 final

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284290
- New snapshot

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234339
- New snapshot
- New version: 0.7.6

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210156
- Update to git snapshot

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192368
- New version 0.7.4

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181120
- New version 0.7.2

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080218.1mdv2008.1
+ Revision: 172291
- Update to git master for new compiz
- Make the BuildRequires more strict.

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 100722
- New upstream release: 0.6.0

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20071018.1mdv2008.1
+ Revision: 100096
- Update snapshot from 0.6.0 branch for compiz 0.6.2

* Tue Sep 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 79535
- Rebuild for latest compiz (patch removal caused ABI change)

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62611
- Official Release: 0.5.2

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070811.1mdv2008.0
+ Revision: 62119
- Update snapshot

* Wed Aug 08 2007 Olivier Blin <blino@mandriva.org> 0.0.1-0.20070801.2mdv2008.0
+ Revision: 60014
- do not require compiz, it is not strictly needed

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070801.1mdv2008.0
+ Revision: 57835
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070724.1mdv2008.0
+ Revision: 55250
- Update Snapshot

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070712.0.1mdv2008.0
+ Revision: 52115
- Update snapshot

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070707.1mdv2008.0
+ Revision: 49635
- Update snapshot to 20070707

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070627.1mdv2008.0
+ Revision: 49608
- Require compiz
- Fix %%files and add an arch independant provides
- Import libcompizconfig

